#!/bin/sh

# Checks the status of the RS installation.

visible_custom_channel_count=`sqlite3 file:/opt/epg/channels.db?mode=ro "select count(*) from tbl_svc_x;" 2>&1`
default_channel_count=`sqlite3 file:/opt/epg/channels.db?mode=ro "select count(*) from tbl_svc_default_x;" 2>&1`
bbc_region=`sqlite3 file:/opt/epg/channels.db?mode=ro "select * from bbc_region;" 2>&1`

if [ "$1" = "-s" ]; then
  #echo "$visible_custom_channel_count|$default_channel_count|$bbc_region"
  echo "$visible_custom_channel_count"
  echo "$default_channel_count"
  echo "$bbc_region"
else
  echo "Visible Custom Channel Count: $visible_custom_channel_count"
  echo "Default Channel Count: $default_channel_count"
  echo "BBC Region: $bbc_region"
fi
